Loading...
Searching...
No Matches
pcl::ProjectInliers< PointT > Class Template Reference
Module filters

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud. More...

`#include <pcl/filters/project_inliers.h>`

Inheritance diagram for pcl::ProjectInliers< PointT >:

## Public Types

using | Ptr = shared_ptr< ProjectInliers< PointT > >
using | ConstPtr = shared_ptr< const ProjectInliers< PointT > >
Public Types inherited from pcl::Filter< PointT >
using | Ptr = shared_ptr< Filter< PointT > >
using | ConstPtr = shared_ptr< const Filter< PointT > >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
Public Types inherited from pcl::PCLBase< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | PointIndicesPtr = PointIndices::Ptr
using | PointIndicesConstPtr = PointIndices::ConstPtr

## Public Member Functions

| ProjectInliers ()
| Empty constructor.
| ~ProjectInliers () override=default
| Empty destructor.
void | setModelType (int model)
| The type of model to use (user given parameter).
int | getModelType ()
| Get the type of SAC model used.
void | setModelCoefficients (const ModelCoefficientsConstPtr &model)
| Provide a pointer to the model coefficients.
ModelCoefficientsConstPtr | getModelCoefficients ()
| Get a pointer to the model coefficients.
void | setCopyAllData (bool val)
| Set whether all data will be returned, or only the projected inliers.
bool | getCopyAllData ()
| Get whether all data is being copied (true), or only the projected inliers (false).
Public Member Functions inherited from pcl::Filter< PointT >
| Filter (bool extract_removed_indices=false)
| Empty constructor.
IndicesConstPtr const | getRemovedIndices () const
| Get the point indices being removed.
void | getRemovedIndices (PointIndices &pi)
| Get the point indices being removed.
void | filter (PointCloud &output)
| Calls the filtering method and returns the filtered dataset in output.
Public Member Functions inherited from pcl::PCLBase< PointT >
| PCLBase ()
| Empty constructor.
| PCLBase (const PCLBase &base)
| Copy constructor.
virtual | ~PCLBase ()=default
| Destructor.
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Provide a pointer to the input dataset.
PointCloudConstPtr const | getInputCloud () const
| Get a pointer to the input point cloud dataset.
virtual void | setIndices (const IndicesPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const IndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (const PointIndicesConstPtr &indices)
| Provide a pointer to the vector of indices that represents the input data.
virtual void | setIndices (std::size_t row_start, std::size_t col_start, std::size_t nb_rows, std::size_t nb_cols)
| Set the indices for the points laying within an interest region of the point cloud.
IndicesPtr | getIndices ()
| Get a pointer to the vector of indices used.
IndicesConstPtr const | getIndices () const
| Get a pointer to the vector of indices used.
const PointT & | operator[] (std::size_t pos) const
| Override PointCloud operator[] to shorten code.

## Protected Member Functions

void | applyFilter (PointCloud &output) override
| Project point indices into a separate PointCloud.
Protected Member Functions inherited from pcl::Filter< PointT >
const std::string & | getClassName () const
| Get a string representation of the name of this class.
Protected Member Functions inherited from pcl::PCLBase< PointT >
bool | initCompute ()
| This method should get called before starting the actual computation.
bool | deinitCompute ()
| This method should get called after finishing the actual computation.

## Additional Inherited Members

Protected Attributes inherited from pcl::Filter< PointT >
IndicesPtr | removed_indices_
| Indices of the points that are removed.
std::string | filter_name_
| The filter name.
bool | extract_removed_indices_
| Set to true if we want to return the indices of the removed points.
Protected Attributes inherited from pcl::PCLBase< PointT >
PointCloudConstPtr | input_
| The input point cloud dataset.
IndicesPtr | indices_
| A pointer to the vector of point indices to use.
bool | use_indices_
| Set to true if point indices are used.
bool | fake_indices_
| If no set of indices are given, we construct a set of fake indices that mimic the input PointCloud.

## Detailed Description

template<typename PointT>
class pcl::ProjectInliers< PointT >

ProjectInliers uses a model and a set of inlier indices from a PointCloud to project them into a separate PointCloud.

Author
  Radu Bogdan Rusu

Definition at line 55 of file project_inliers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::ProjectInliers< PointT >::ConstPtr = shared_ptr<const ProjectInliers<PointT> >

Definition at line 70 of file project_inliers.h.

## Ptr

template<typename PointT >

using pcl::ProjectInliers< PointT >::Ptr = shared_ptr<ProjectInliers<PointT> >

Definition at line 69 of file project_inliers.h.

## Constructor & Destructor Documentation

## ProjectInliers()

template<typename PointT >

pcl::ProjectInliers< PointT >::ProjectInliers | ( |  | ) |

inline

Empty constructor.

Definition at line 74 of file project_inliers.h.

References pcl::Filter< PointT >::filter_name_.

## ~ProjectInliers()

template<typename PointT >

pcl::ProjectInliers< PointT >::~ProjectInliers | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## applyFilter()

template<typename PointT >

void pcl::ProjectInliers< PointT >::applyFilter | ( | PointCloud & | output | ) |

override protected virtual

Project point indices into a separate PointCloud.

Parameters

  output | the resultant point cloud message

Implements pcl::Filter< PointT >.

Definition at line 57 of file project_inliers.hpp.

## getCopyAllData()

template<typename PointT >

bool pcl::ProjectInliers< PointT >::getCopyAllData | ( |  | ) |

inline

Get whether all data is being copied (true), or only the projected inliers (false).

Definition at line 125 of file project_inliers.h.

## getModelCoefficients()

template<typename PointT >

ModelCoefficientsConstPtr pcl::ProjectInliers< PointT >::getModelCoefficients | ( |  | ) |

inline

Get a pointer to the model coefficients.

Definition at line 109 of file project_inliers.h.

## getModelType()

template<typename PointT >

int pcl::ProjectInliers< PointT >::getModelType | ( |  | ) |

inline

Get the type of SAC model used.

Definition at line 93 of file project_inliers.h.

## setCopyAllData()

template<typename PointT >

void pcl::ProjectInliers< PointT >::setCopyAllData | ( | bool | val | ) |

inline

Set whether all data will be returned, or only the projected inliers.

Parameters

  val | true if all data should be returned, false if only the projected inliers

Definition at line 118 of file project_inliers.h.

## setModelCoefficients()

template<typename PointT >

void pcl::ProjectInliers< PointT >::setModelCoefficients | ( | const ModelCoefficientsConstPtr & | model | ) |

inline

Provide a pointer to the model coefficients.

Parameters

  model | a pointer to the model coefficients

Definition at line 102 of file project_inliers.h.

Referenced by pcl::LocalMaximum< PointT >::applyFilterIndices().

## setModelType()

template<typename PointT >

void pcl::ProjectInliers< PointT >::setModelType | ( | int | model | ) |

inline

The type of model to use (user given parameter).

Parameters

  model | the model type (check model_types.h)

Definition at line 86 of file project_inliers.h.

Referenced by pcl::LocalMaximum< PointT >::applyFilterIndices().

The documentation for this class was generated from the following files:

- pcl/filters/project_inliers.h
- pcl/filters/impl/project_inliers.hpp